{% comment %} Logo - Configuração {% endcomment %}
{% assign logo_url = 'https://via.placeholder.com/410x210' %}
{% load_banners position: 'header-logo' limit: 1 %}
{% if loaded_banners.size > 0 %}
  {% for banner in loaded_banners %}
    {% if banner.file_url %}
      {% assign logo_url = banner.file_url | resize: '200x' %}
    {% endif %}
  {% endfor %}
{% endif %}

{% assign page = "page-" | append: template %}

<header class="header {{ page }} home-transparent" id="header">

  {% render 'partials/content/header/top_bar' %}

  <div class="container">

    {% render 'partials/content/header/logo', current_shop: current_shop, logo_url: logo_url, template: template, home_url: home_url %}

    {% load_menus position: 'principal' %}
    {% if mobile %}
      {% render "partials/content/header/menu_mobile", search_url: search_url, account_url: account_url, loaded_menus: loaded_menus, logo_url: logo_url, template: template, home_url: home_url %}
    {% else %}
      <nav class="menu">
        <ul class="menu-list">
          {% for menu in loaded_menus %}
            {% if menu.title == blank %}
              {% continue %}
            {% endif %}
            {% render 'partials/content/header/menu_desktop', menu: menu %}
          {% endfor %}
        </ul>
      </nav>
    {% endif %}
    
    {% render 'partials/content/header/search', search_url: search_url, show_button: true %}

    {% render 'partials/content/header/actions', account_url: account_url, show_icon: true %}

    {% if mobile %}
      <button aria-label="Abrir menu" class="hamburger" data-action="open-menu-mobile">
        <svg class="icon">
          <use href="#icon-hamburger"/>
        </svg>
      </button>
    {% endif %}

  </div>
</header>
